Package wx :: Module webkit :: Class WebKitCtrl

[frames | no frames]

## Type WebKitCtrl

    object --+
             |
        Object --+
                 |
        EvtHandler --+
                     |
                Window --+
                         |
                   Control --+
                             |
                            WebKitCtrl

Proxy of C++ WebKitCtrl class

Method Summary
Control | ``__init__`(self, parent, id, pos, size, style, validator, name)` Create a Control.
bool | `CanDecreaseTextSize(self)`
bool | `CanGetPageSource(self)`
bool | `CanGoBack(self)`
bool | `CanGoForward(self)`
bool | `CanIncreaseTextSize(self)`
bool | ``Create`(self, parent, id, pos, size, style, validator, name)` Do the 2nd phase and create the GUI control.
| `DecreaseTextSize(self)`
String | `GetPageSource(self)`
String | `GetPageTitle(self)`
String | `GetPageURL(self)`
int | ``GetScrollPos`(self, orientation)` Returns the built-in scrollbar position.
String | `GetSelection(self)`
bool | `GoBack(self)`
bool | `GoForward(self)`
| `IncreaseTextSize(self)`
bool | `IsEditable(self)`
| `LoadURL(self, url)`
| `MakeEditable(self, enable)`
| `Print(self, showPrompt)`
| `Reload(self)`
String | `RunScript(self, javascript)`
| `SetPageSource(self, source, baseUrl)`
| ``SetScrollPos`(self, orientation, pos, refresh)` Sets the position of one of the built-in scrollbars.
| `Stop(self)`

Property Summary
| `PageSource`: See `GetPageSource` and `SetPageSource`
| `PageTitle`: See `GetPageTitle`
| `PageURL`: See `GetPageURL`
| `ScrollPos`: See `GetScrollPos and SetScrollPos`
| `Selection`: See `GetSelection`
| `thisown`: The membership flag

Instance Method Details

### __init__(self, parent, winID=-1, strURL=EmptyString, pos=DefaultPosition, size=DefaultSize, style=0, validator=DefaultValidator, name=WebKitNameStr)
(Constructor)

Create a Control. Normally you should only call this from a subclass' __init__ as a plain old wx.Control is not very useful.

  Parameters:
    `parent`
    (type=Window)

    `id`
    (type=int)

    `pos`
    (type=Point)

    `size`
    (type=Size)

    `style`
    (type=long)

    `validator`
    (type=Validator)

    `name`
    (type=String)

  Returns:
    Control
  Overrides:
    `wx.Control.__init__` (inherited documentation)

### Create(self, parent, winID=-1, strURL=EmptyString, pos=DefaultPosition, size=DefaultSize, style=0, validator=DefaultValidator, name=WebKitNameStr)

Do the 2nd phase and create the GUI control.

  Parameters:
    `parent`
    (type=Window)

    `id`
    (type=int)

    `pos`
    (type=Point)

    `size`
    (type=Size)

    `style`
    (type=long)

    `validator`
    (type=Validator)

    `name`
    (type=String)

  Returns:
    bool
  Overrides:
    `wx.Control.Create` (inherited documentation)

### GetScrollPos(self)

Returns the built-in scrollbar position.

  Parameters:
    `orientation`
    (type=int)

  Returns:
    int
  Overrides:
    `wx.Window.GetScrollPos` (inherited documentation)

### SetScrollPos(self, pos)

Sets the position of one of the built-in scrollbars.

  Parameters:
    `orientation`
    (type=int)

    `pos`
    (type=int)

    `refresh`
    (type=bool)

  Overrides:
    `wx.Window.SetScrollPos` (inherited documentation)

Property Details

### PageSource

See `GetPageSource` and `SetPageSource`

  Get Method:
    `GetPageSource`(self)
  Set Method:
    `SetPageSource`(self, source, baseUrl)

### PageTitle

See `GetPageTitle`

  Get Method:
    `GetPageTitle`(self)

### PageURL

See `GetPageURL`

  Get Method:
    `GetPageURL`(self)

### ScrollPos

See `GetScrollPos and SetScrollPos`

  Get Method:
    `GetScrollPos`(self)
  Set Method:
    `SetScrollPos`(self, pos)

### Selection

See `GetSelection`

  Get Method:
    `GetSelection`(self)

### thisown

The membership flag

  Get Method:
    unknown--1273649252(...)
  Set Method:
    unknown--1273649196(...)

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:07:11 2007 | http://epydoc.sf.net